#ifndef AMSMF_EXCEPTION_H_
#define AMSMF_EXCEPTION_H_

#include <amt/Exception.h>

namespace AMSMF
{

namespace Ex
{

using namespace AMT::Ex;

struct UnexpectedFileEnd : public IllegalFormat { };
struct IllegalMagic : public IllegalFormat { };
struct ChunkOverrun : public IllegalFormat { };
struct IllegalRunningStatus : public IllegalFormat { };
struct TooShortHeader : public IllegalFormat { };
struct IllegalStatusByte : public IllegalFormat { };
struct IllegalSystemMessage : public IllegalStatusByte { };
struct TooLongVarInteger : public IllegalFormat { };

}

}

#endif
