#ifndef AMSMF_INPUT_STREAM_H_
#define AMSMF_INPUT_STREAM_H_

#include <amt/Defines.h>
#include <amsmf/Types.h>
#include <amsmf/InputBuffer.h>
#include <amt/ScopedPtr.h>

namespace AMSMF
{

class InputStream
{
	AMT_EMBED_IMPL;
	InputBuffer m_buffer;
	void read_(InputBuffer &);
public:
	InputStream(const char *);
	~InputStream();
	AMT_ACSOR_R(InputBuffer, buffer);
	InputBuffer &read()
	{
		if (m_buffer.is_empty())
			this->read_(m_buffer);
		return m_buffer;
	}
	void clear_buffer() { m_buffer = InputBuffer(); }
	void reset(const char *);
};

} // AMSMF

#endif
