#ifndef AMT_EXTENTS_H_
#define AMT_EXTENTS_H_

#include <amt/Defines.h>
#include <amt/Types.h>

namespace AMT
{

namespace Extents
{

struct NoneType { };

template <typename T1, typename T2>
struct ConstSet
{
	template <const T1 ofs, const T2 len>
	struct Def
	{
		static const T1 OFFSET = ofs;
		static const T2 LENGTH = len;
		static T1 offset() { return ofs; }
		static T2 length() { return len; }
	};
};

}

}

#endif
