#ifndef AMT_MUTEX_H_
#define AMT_MUTEX_H_

#include <amt/Defines.h>
#include <amt/Types.h>
#include <amt/Assert.h>

// mutex
//
//  - need to be recursible.

#include <amt/md/Mutex.h>

namespace AMT
{

namespace Locker
{

class Mutex
{
	AMT_NOCOPY(Mutex);
private:
	Bits_::MutexMD m_md;
public:
	~Mutex() { }
	Mutex() { }
	void lock() { m_md.lock(); }
	void unlock() { m_md.unlock(); }
};

}

}

#endif
