#ifndef LIBVSQ_ASSERT_H_
#define LIBVSQ_ASSERT_H_

#include <amt/Assert.h>

AMT_ASSERT_DEF_DOMAIN(libvsq_internal);

#ifdef LIBVSQ_NEED_ASSERTION_FOR_INTERNAL
#define LIBVSQ_ASSERT_I_(comm, cond)					      \
AMT_ASSERT_(libsmf_internal, comm, cond, #cond)
#else
#define LIBVSQ_ASSERT_I_(comm, cond)
#endif


AMT_ASSERT_DEF_DOMAIN(libvsq_usage);

#ifdef LIBVSQ_NEED_ASSERTION_FOR_USAGE
#define LIBVSQ_ASSERT_U_(comm, cond)					      \
MSEQ_ASSERT_(libvsq_usage, comm, cond, #cond)
#else
#define LIBVSQ_ASSERT_U_(comm, cond)
#endif



#endif
