#ifndef LIBVSQ_CSV_H_
#define LIBVSQ_CSV_H_

#include <libvsq/Defines.h>
#include <libvsq/Types.h>
#include <libvsq/Assert.h>
#include <string>

namespace LibVSQ
{

class CSV
{
	const char *m_str;
public:
	CSV(const char *st) : m_str(st) { }
	std::string fetch();
	double fetch_double();
	int fetch_int();
	bool is_end() const { return m_str == NULL; }
};

} // LibVSQ

#endif
