#ifndef LIBVSQ_SORT_DM_TEXT_H_
#define LIBVSQ_SORT_DM_TEXT_H_

#include <libvsq/Defines.h>
#include <libvsq/Types.h>
#include <libvsq/Assert.h>
#include <amt/ScopedPtr.h>

namespace LibVSQ
{

class SortDMText
{
	AMT_EMBED_IMPL;
public:
	static const int INITIAL_DM_NUM = 0;
	SortDMText(int =INITIAL_DM_NUM);
	~SortDMText();
	void reset(int =INITIAL_DM_NUM);
	void done() { this->reset(); }
	const char *operator () (const char * =NULL);
};

} // LibVSQ

#endif
