#include <libvsq/TempoMap.h>
#include <stdio.h>

int
main()
{
	LibVSQ::TempoMap tm;

	tm.insert(0).tempo() = 120.;
	tm.insert(480).tempo() = 150.;
	tm.insert(960).tempo() = 60.;

	for (int i=0; i<tm.num_entries(); i++) {
		const LibVSQ::TempoMap::Pair &p = tm[i];
		printf("%d: %f\n", p.pos(), p.entry().tempo());
	}

	return 0;
}
