#ifndef AMSMF_ASSERT_H_
#define AMSMF_ASSERT_H_

#include <amt/Assert.h>

AMT_ASSERT_DEF_DOMAIN(amsmf_internal);

#ifdef AMSMF_NEED_ASSERTION_FOR_INTERNAL
#define AMSMF_ASSERT_I_(comm, cond)					      \
AMT_ASSERT_(libsmf_internal, comm, cond, #cond)
#else
#define AMSMF_ASSERT_I_(comm, cond)
#endif


AMT_ASSERT_DEF_DOMAIN(amsmf_usage);

#ifdef AMSMF_NEED_ASSERTION_FOR_USAGE
#define AMSMF_ASSERT_U_(comm, cond)					      \
MSEQ_ASSERT_(amsmf_usage, comm, cond, #cond)
#else
#define AMSMF_ASSERT_U_(comm, cond)
#endif



#endif
