#ifndef AMT_ISOC_ENDIAN_LITTLE_H_
#define AMT_ISOC_ENDIAN_LITTLE_H_

#include <amt/isoc/EndianSwap.h>

namespace AMT
{

namespace Endian
{

template <> inline U8 Big::to(U8 v) { return Swap_::conv(v); }
template <> inline U16 Big::to(U16 v) { return Swap_::conv(v); }
template <> inline U32 Big::to(U32 v) { return Swap_::conv(v); }
template <> inline U64 Big::to(U64 v) { return Swap_::conv(v); }
template <> inline U8 Big::from(U8 v) { return Swap_::conv(v); }
template <> inline U16 Big::from(U16 v) { return Swap_::conv(v); }
template <> inline U32 Big::from(U32 v) { return Swap_::conv(v); }
template <> inline U64 Big::from(U64 v) { return Swap_::conv(v); }

template <> inline U8 Little::to(U8 v) { return v; }
template <> inline U16 Little::to(U16 v) { return v; }
template <> inline U32 Little::to(U32 v) { return v; }
template <> inline U64 Little::to(U64 v) { return v; }
template <> inline U8 Little::from(U8 v) { return v; }
template <> inline U16 Little::from(U16 v) { return v; }
template <> inline U32 Little::from(U32 v) { return v; }
template <> inline U64 Little::from(U64 v) { return v; }

}

}

#endif
