#ifndef LIBVSQ_EXCEPTION_H_
#define LIBVSQ_EXCEPTION_H_

#include <amt/Exception.h>

namespace LibVSQ
{

namespace Ex
{
using namespace AMT::Ex;

struct MalformedSectionName : public DataError { };
struct MalformedField : public DataError { };
struct SectionIdentifierLacked : public DataError { };
struct NoSuchEntry : public DataError { };
struct NoMoreEntry : public DataError { };
struct DuplicatedEntry : public DataError { };
struct DuplicatedMixer : public DuplicatedEntry { };
struct LackedEntry : public DataError { };
struct IllegalTrackNumber : public DataError { };
struct NumberUnset : public DataError { };
struct IllegalString : public DataError { };
struct IllegalRGBString : public IllegalString { };
struct UnterminatedEventList : public DataError { };
struct EventListAlreadyTerminated : public DataError { };
struct TypeEntryLacked : public DataError { };
struct IllegalTypeEntry : public DataError { };
struct IllegalCSVFormat : public DataError { };
struct IllegalLyricField : public DataError { };
struct IllegalVibratoArray : public DataError { };
struct LackedDMFrame : public DataError { };
struct DuplicatedDMFrame : public DataError { };
struct NotDMText : public DataError { };
struct IllegalSMFFormat : public DataError { };
struct TooFewTracks : public DataError { };
struct DivisionNotSupported : public DataError { };

struct IllegalCallSequence : public Assertion { };

}

} // LibVSQ

#endif
