#ifndef LIBVSQ_READ_VSQ_H_
#define LIBVSQ_READ_VSQ_H_

#include <libvsq/Defines.h>
#include <libvsq/Types.h>
#include <libvsq/Assert.h>
#include <amsmf/InputBuffer.h>
#include <amt/ScopedPtr.h>

namespace LibVSQ
{

class Song;

class ReadSong
{
	AMT_EMBED_IMPL;
public:
	typedef AMSMF::InputBuffer InputBuffer;
	ReadSong();
	~ReadSong();
	bool operator () (InputBuffer &);
	const Song *done();
	void reset();
};

} // LibVSQ

#endif
