#ifndef LIBVSQ_READ_TRACK_H_
#define LIBVSQ_READ_TRACK_H_

#include <libvsq/Defines.h>
#include <libvsq/Types.h>
#include <libvsq/Assert.h>
#include <amt/ScopedPtr.h>

namespace LibVSQ
{

class Track;

class ReadTrack
{
	AMT_EMBED_IMPL;
public:
	ReadTrack(Track &);
	~ReadTrack();
	void begin_section(const char *);
	void end_section();
	void field(const char *, const char *);
	void check_complete() const;
};

} // LibVSQ

#endif
