#ifndef LIBVSQ_TEMPO_MAP_H_
#define LIBVSQ_TEMPO_MAP_H_

#include <libvsq/ClockList.h>

namespace LibVSQ
{

namespace TempoMaps
{

class Tempo
{
	double m_tempo;
public:
	Tempo(double t =0.0) : m_tempo(t) { }
	~Tempo() { }
	AMT_ACSOR_RW(double, tempo);
};

} // TempoMaps

class TempoMap : public ClockList<TempoMaps::Tempo>
{
	AMT_NOCOPY(TempoMap);
public:
	~TempoMap() { }
	TempoMap() { }
};

} // LibVSQ

#endif
